/* Tabela PARAMGERAL: Parmetro Geral */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela PARAMGERAL */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela Parmetro Geral,
             utilizando a tabela Geral de Logs de Operaes */
IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_EST_PARAMGERAL' AND
                 TYPE   = 'TR' 		           AND
	              U.UID  = O.UID                AND
	              U.NAME = USER)
DROP TRIGGER LOG_EST_PARAMGERAL
GO


CREATE TRIGGER LOG_EST_PARAMGERAL
ON PARAMGERAL
FOR INSERT, UPDATE, DELETE
AS


   DECLARE  @V_USUARIO      VARCHAR(40);
   DECLARE  @V_TIPO         VARCHAR(1);
   DECLARE  @V_ITPESQ       VARCHAR(40);
   DECLARE  @V_DESC         VARCHAR(4000);
   DECLARE  @V_DTOPER       DATETIME;
   DECLARE  @V_DSREMOTEADDR VARCHAR(15);
   DECLARE  @V_DSREMOTEHOST VARCHAR(15);
   DECLARE  @V_DSSERVERRDM  VARCHAR(20);
   DECLARE  @V_DSSERVMETHOD VARCHAR(30);
   DECLARE  @V_DSREMOTEOPER VARCHAR(12);

/*VARIVEIS DO CURSOR C_CURSOR*/

   DECLARE  @V_ID_COMANDO    VARCHAR(1);

   DECLARE @V_OLD_DIAINIHORVER DOUBLE PRECISION;
   DECLARE @V_OLD_MESINIHORVER DOUBLE PRECISION;
   DECLARE @V_OLD_DIAFIMHORVER DOUBLE PRECISION;
   DECLARE @V_OLD_MESFIMHORVER DOUBLE PRECISION;
   DECLARE @V_OLD_VRPETOLEVRAF DOUBLE PRECISION;
   DECLARE @V_OLD_VRPETOLEQTAF DOUBLE PRECISION;
   DECLARE @V_OLD_NRDECITOTANF NUMERIC(15);
   DECLARE @V_OLD_VRFAIXTOLENF DOUBLE PRECISION;
   DECLARE @V_OLD_IDBLOQCMPSAF VARCHAR(1);
   DECLARE @V_OLD_IDTPLANCDESC VARCHAR(1);
   DECLARE @V_OLD_IDGERANFDEVO VARCHAR(1);
   DECLARE @V_OLD_IDAVNFNOCORR VARCHAR(1);
   DECLARE @V_OLD_IDNFOUTRASNF VARCHAR(1);
   DECLARE @V_OLD_IDAVNFNREPEN VARCHAR(1);
   DECLARE @V_OLD_IDSISDOS     VARCHAR(1);
   DECLARE @V_OLD_DSPARGERFIS  VARCHAR(30);
   DECLARE @V_OLD_IDCONSFISCEN VARCHAR(1);
   DECLARE @V_OLD_CDPARGERAL   VARCHAR(4);
   DECLARE @V_OLD_IDCONSVLRMAF VARCHAR(1);
   DECLARE @V_OLD_IDUTDTPROCTNFE VARCHAR(1);
   DECLARE @V_OLD_IDUTSERTPOP    VARCHAR(1);
   DECLARE @V_OLD_VRPECURVAA   DOUBLE PRECISION;
   DECLARE @V_OLD_VRPECURVAB   DOUBLE PRECISION;
   DECLARE @V_OLD_VRPECURVAC   DOUBLE PRECISION;
   DECLARE @V_OLD_IDUTCODBARRA  VARCHAR(1);
   DECLARE @V_OLD_IDUTILDTPROC  VARCHAR(1);
   DECLARE @V_OLD_IDUTCTRLACES  VARCHAR(1);
   DECLARE @V_OLD_IDUTLBDCENTR  VARCHAR(1);   
   DECLARE @V_OLD_IDUTILGERLOG  VARCHAR(1);
   DECLARE @V_OLD_IDPERALTINSFORN  VARCHAR(1);
   DECLARE @V_OLD_IDUTENDMODFISC  VARCHAR(1);
   DECLARE @V_OLD_IDCACHPRODFI  VARCHAR(1);
   DECLARE @V_OLD_IDRESTRFILIOPER  VARCHAR(1);
   DECLARE @V_OLD_IDUTCARDPADR  VARCHAR(1);
   DECLARE @V_OLD_IDEXCLANCTB  VARCHAR(1);
   DECLARE @V_OLD_CDGROPERPDV1  VARCHAR(2);
   DECLARE @V_OLD_CDGROPERPROP  VARCHAR(2);
   DECLARE @V_OLD_NRDUPLINFS VARCHAR(10);
   DECLARE @V_OLD_IDEMPDESTREPAUT VARCHAR(1);
   DECLARE @V_OLD_IDUTFILCENTOBR VARCHAR(01);
   DECLARE @V_OLD_IDPERLANCNFOUFI VARCHAR(1);
   DECLARE @V_OLD_IDREAUDPARFISC  VARCHAR(1);
   DECLARE @V_OLD_IDUTCTRLFISENTR VARCHAR(1);
   DECLARE @V_OLD_IDUTCTRLFISSAID VARCHAR(1);
   DECLARE @V_OLD_IDUTILNFELANCNF VARCHAR(1);
   DECLARE @V_OLD_IDPERVISIMPSCRE VARCHAR(1);
   DECLARE @V_OLD_IDBLOQITNFAPUR VARCHAR(1);
   DECLARE @V_OLD_IDDTEMISDIFDTBC VARCHAR(1);
   DECLARE @V_OLD_IDGERNFIGUALXML VARCHAR(1);
   DECLARE @V_OLD_IDSUGTPOPER VARCHAR(1);
   DECLARE @V_OLD_IDPERAPROVNFXML VARCHAR(1);
   DECLARE @V_OLD_CDTPOOPREMESSA VARCHAR(2);
   DECLARE @V_OLD_CDTPOOPRETORNO VARCHAR(2);
   DECLARE @V_OLD_IDOBTPOPLANCSIMP VARCHAR(1); 
   DECLARE @V_OLD_IDBAIXAFTOTLANNF VARCHAR(1);

   DECLARE @V_NEW_DIAINIHORVER DOUBLE PRECISION;
   DECLARE @V_NEW_MESINIHORVER DOUBLE PRECISION;
   DECLARE @V_NEW_DIAFIMHORVER DOUBLE PRECISION;
   DECLARE @V_NEW_MESFIMHORVER DOUBLE PRECISION;
   DECLARE @V_NEW_VRPETOLEVRAF DOUBLE PRECISION;
   DECLARE @V_NEW_VRPETOLEQTAF DOUBLE PRECISION;
   DECLARE @V_NEW_NRDECITOTANF NUMERIC(15);
   DECLARE @V_NEW_VRFAIXTOLENF DOUBLE PRECISION;
   DECLARE @V_NEW_IDBLOQCMPSAF VARCHAR(1);
   DECLARE @V_NEW_IDTPLANCDESC VARCHAR(1);
   DECLARE @V_NEW_IDGERANFDEVO VARCHAR(1);
   DECLARE @V_NEW_IDAVNFNOCORR VARCHAR(1);
   DECLARE @V_NEW_IDNFOUTRASNF VARCHAR(1);
   DECLARE @V_NEW_IDAVNFNREPEN VARCHAR(1);
   DECLARE @V_NEW_IDSISDOS     VARCHAR(1);
   DECLARE @V_NEW_DSPARGERFIS  VARCHAR(30);
   DECLARE @V_NEW_IDCONSFISCEN VARCHAR(1);
   DECLARE @V_NEW_CDPARGERAL   VARCHAR(4);
   DECLARE @V_NEW_IDCONSVLRMAF VARCHAR(1);
   DECLARE @V_NEW_IDUTDTPROCTNFE VARCHAR(1);
   DECLARE @V_NEW_IDUTSERTPOP    VARCHAR(1);
   DECLARE @V_NEW_VRPECURVAA DOUBLE PRECISION;
   DECLARE @V_NEW_VRPECURVAB DOUBLE PRECISION;
   DECLARE @V_NEW_VRPECURVAC DOUBLE PRECISION;
   DECLARE @V_NEW_IDUTCODBARRA  VARCHAR(1);
   DECLARE @V_NEW_IDUTILDTPROC  VARCHAR(1);
   DECLARE @V_NEW_IDUTCTRLACES  VARCHAR(1);
   DECLARE @V_NEW_IDUTLBDCENTR  VARCHAR(1);
   DECLARE @V_NEW_IDUTILGERLOG  VARCHAR(1);
   DECLARE @V_NEW_IDPERALTINSFORN  VARCHAR(1);
   DECLARE @V_NEW_IDUTENDMODFISC  VARCHAR(1);
   DECLARE @V_NEW_IDCACHPRODFI  VARCHAR(1);
   DECLARE @V_NEW_IDRESTRFILIOPER  VARCHAR(1);
   DECLARE @V_NEW_IDUTCARDPADR  VARCHAR(1);
   DECLARE @V_NEW_IDEXCLANCTB  VARCHAR(1);
   DECLARE @V_NEW_CDGROPERPDV1  VARCHAR(2);
   DECLARE @V_NEW_CDGROPERPROP  VARCHAR(2);
   DECLARE @V_NEW_NRDUPLINFS VARCHAR(10);
   DECLARE @V_NEW_IDEMPDESTREPAUT VARCHAR(1);
   DECLARE @V_NEW_IDUTFILCENTOBR VARCHAR(01);
   DECLARE @V_NEW_IDPERLANCNFOUFI VARCHAR(1);
   DECLARE @V_NEW_IDREAUDPARFISC  VARCHAR(1);
   DECLARE @V_NEW_IDUTCTRLFISENTR VARCHAR(1);
   DECLARE @V_NEW_IDUTCTRLFISSAID VARCHAR(1);
   DECLARE @V_NEW_IDUTILNFELANCNF VARCHAR(1);
   DECLARE @V_NEW_IDPERVISIMPSCRE VARCHAR(1);
   DECLARE @V_NEW_IDBLOQITNFAPUR VARCHAR(1);
   DECLARE @V_NEW_IDDTEMISDIFDTBC VARCHAR(1);
   DECLARE @V_NEW_IDGERNFIGUALXML VARCHAR(1);
   DECLARE @V_NEW_IDSUGTPOPER VARCHAR(1);
   DECLARE @V_NEW_IDPERAPROVNFXML VARCHAR(1);
   DECLARE @V_NEW_CDTPOOPREMESSA VARCHAR(2);
   DECLARE @V_NEW_CDTPOOPRETORNO VARCHAR(2);
   DECLARE @V_NEW_IDOBTPOPLANCSIMP VARCHAR(1);
   DECLARE @V_NEW_IDBAIXAFTOTLANNF VARCHAR(1);
BEGIN
   SET @V_TIPO = '0';
   SET @V_DESC = '';

   EXEC WEBTUNNING @V_DSREMOTEADDR OUTPUT,
                   @V_DSREMOTEHOST OUTPUT,
                   @V_DSSERVERRDM  OUTPUT,
                   @V_DSSERVMETHOD OUTPUT,
                   @V_DSREMOTEOPER OUTPUT;

   EXEC NMUSUARIO @V_USUARIO OUTPUT;
   SET @V_USUARIO = ISNULL(@V_USUARIO, ' ');

   DECLARE C_CURSOR CURSOR FOR
   SELECT
     'D' IDCOMANDO,
         DIAINIHORVER,
         MESINIHORVER,
         DIAFIMHORVER,
         MESFIMHORVER,
         VRPETOLEVRAF,
         VRPETOLEQTAF,
         NRDECITOTANF,
         VRFAIXTOLENF,
         IDBLOQCMPSAF,
         IDTPLANCDESC,
         IDGERANFDEVO,
         IDAVNFNOCORR,
         IDNFOUTRASNF,
         IDAVNFNREPEN,
         IDSISDOS,
         DSPARGERFIS,
         IDCONSFISCEN,
         CDPARGERAL,
         IDCONSVLRMAF,
         IDUTDTPROCTNFE,
         IDUTSERTPOP,
         VRPECURVAA,
         VRPECURVAB,
         VRPECURVAC,
         IDUTCODBARRA,
         IDUTILDTPROC,
         IDUTCTRLACES,
         IDUTLBDCENTR,
         IDUTILGERLOG,
         IDPERALTINSFORN,
         IDUTENDMODFISC,
         IDCACHPRODFI,
         IDRESTRFILIOPER,
         IDUTCARDPADR,
         IDEXCLANCTB,
         CDGROPERPDV1,
         CDGROPERPROP,
         NRDUPLINFS,
         IDEMPDESTREPAUT,
         IDUTFILCENTOBR,
         IDPERLANCNFOUFI,
         IDREAUDPARFISC,
         IDUTCTRLFISENTR,
         IDUTCTRLFISSAID,
         IDUTILNFELANCNF,
         IDPERVISIMPSCRE,
         IDBLOQITNFAPUR,
         IDDTEMISDIFDTBC,
         IDGERNFIGUALXML, 
         IDSUGTPOPER,
         IDPERAPROVNFXML,
         CDTPOOPREMESSA,
         CDTPOOPRETORNO,
         IDOBTPOPLANCSIMP,
         IDBAIXAFTOTLANNF,

         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL
   FROM
     DELETED
   WHERE
     CDPARGERAL NOT IN (SELECT CDPARGERAL FROM INSERTED)
   UNION ALL

   SELECT
     'U' IDCOMANDO,
         DELETED.DIAINIHORVER,
         DELETED.MESINIHORVER,
         DELETED.DIAFIMHORVER,
         DELETED.MESFIMHORVER,
         DELETED.VRPETOLEVRAF,
         DELETED.VRPETOLEQTAF,
         DELETED.NRDECITOTANF,
         DELETED.VRFAIXTOLENF,
         DELETED.IDBLOQCMPSAF,
         DELETED.IDTPLANCDESC,
         DELETED.IDGERANFDEVO,
         DELETED.IDAVNFNOCORR,
         DELETED.IDNFOUTRASNF,
         DELETED.IDAVNFNREPEN,
         DELETED.IDSISDOS,
         DELETED.DSPARGERFIS,
         DELETED.IDCONSFISCEN,
         DELETED.CDPARGERAL,
         DELETED.IDCONSVLRMAF,
         DELETED.IDUTDTPROCTNFE,
         DELETED.IDUTSERTPOP,
         DELETED.VRPECURVAA,
         DELETED.VRPECURVAB,
         DELETED.VRPECURVAC,
         DELETED.IDUTCODBARRA,
         DELETED.IDUTILDTPROC,
         DELETED.IDUTCTRLACES,
         DELETED.IDUTLBDCENTR,
         DELETED.IDUTILGERLOG,
         DELETED.IDPERALTINSFORN,
         DELETED.IDUTENDMODFISC,
         DELETED.IDCACHPRODFI,
         DELETED.IDRESTRFILIOPER,
         DELETED.IDUTCARDPADR,
         DELETED.IDEXCLANCTB,
         DELETED.CDGROPERPDV1,
         DELETED.CDGROPERPROP,
         DELETED.NRDUPLINFS,
         DELETED.IDEMPDESTREPAUT,
         DELETED.IDUTFILCENTOBR,
         DELETED.IDPERLANCNFOUFI,
         DELETED.IDREAUDPARFISC,
         DELETED.IDUTCTRLFISENTR,
         DELETED.IDUTCTRLFISSAID,
         DELETED.IDUTILNFELANCNF,
         DELETED.IDPERVISIMPSCRE,
         DELETED.IDBLOQITNFAPUR,
         DELETED.IDDTEMISDIFDTBC,
         DELETED.IDGERNFIGUALXML,
         DELETED.IDSUGTPOPER,
         DELETED.IDPERAPROVNFXML,
         DELETED.CDTPOOPREMESSA,
         DELETED.CDTPOOPRETORNO,
         DELETED.IDOBTPOPLANCSIMP,
         DELETED.IDBAIXAFTOTLANNF,

         INSERTED.DIAINIHORVER,
         INSERTED.MESINIHORVER,
         INSERTED.DIAFIMHORVER,
         INSERTED.MESFIMHORVER,
         INSERTED.VRPETOLEVRAF,
         INSERTED.VRPETOLEQTAF,
         INSERTED.NRDECITOTANF,
         INSERTED.VRFAIXTOLENF,
         INSERTED.IDBLOQCMPSAF,
         INSERTED.IDTPLANCDESC,
         INSERTED.IDGERANFDEVO,
         INSERTED.IDAVNFNOCORR,
         INSERTED.IDNFOUTRASNF,
         INSERTED.IDAVNFNREPEN,
         INSERTED.IDSISDOS,
         INSERTED.DSPARGERFIS,
         INSERTED.IDCONSFISCEN,
         INSERTED.CDPARGERAL,
         INSERTED.IDCONSVLRMAF,
         INSERTED.IDUTDTPROCTNFE,
         INSERTED.IDUTSERTPOP,
         INSERTED.VRPECURVAA,
         INSERTED.VRPECURVAB,
         INSERTED.VRPECURVAC,
         INSERTED.IDUTCODBARRA,
         INSERTED.IDUTILDTPROC,
         INSERTED.IDUTCTRLACES,
         INSERTED.IDUTLBDCENTR,
         INSERTED.IDUTILGERLOG,
         INSERTED.IDPERALTINSFORN,
         INSERTED.IDUTENDMODFISC,
         INSERTED.IDCACHPRODFI,
         INSERTED.IDRESTRFILIOPER,
         INSERTED.IDUTCARDPADR,
         INSERTED.IDEXCLANCTB,
         INSERTED.CDGROPERPDV1,
         INSERTED.CDGROPERPROP,
         INSERTED.NRDUPLINFS,
         INSERTED.IDEMPDESTREPAUT,
         INSERTED.IDUTFILCENTOBR,
         INSERTED.IDPERLANCNFOUFI,
         INSERTED.IDREAUDPARFISC,
         INSERTED.IDUTCTRLFISENTR,
         INSERTED.IDUTCTRLFISSAID,
         INSERTED.IDUTILNFELANCNF,
         INSERTED.IDPERVISIMPSCRE,
         INSERTED.IDBLOQITNFAPUR,
         INSERTED.IDDTEMISDIFDTBC,
         INSERTED.IDGERNFIGUALXML,
         INSERTED.IDSUGTPOPER,
         INSERTED.IDPERAPROVNFXML,
         INSERTED.CDTPOOPREMESSA,
         INSERTED.CDTPOOPRETORNO,
         INSERTED.IDOBTPOPLANCSIMP,
         INSERTED.IDBAIXAFTOTLANNF
   FROM
       INSERTED,
       DELETED
    WHERE
       INSERTED.CDPARGERAL = DELETED.CDPARGERAL
    UNION ALL

    SELECT
       'I' IDCOMANDO,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,
           NULL,

           INSERTED.DIAINIHORVER,
           INSERTED.MESINIHORVER,
           INSERTED.DIAFIMHORVER,
           INSERTED.MESFIMHORVER,
           INSERTED.VRPETOLEVRAF,
           INSERTED.VRPETOLEQTAF,
           INSERTED.NRDECITOTANF,
           INSERTED.VRFAIXTOLENF,
           INSERTED.IDBLOQCMPSAF,
           INSERTED.IDTPLANCDESC,
           INSERTED.IDGERANFDEVO,
           INSERTED.IDAVNFNOCORR,
           INSERTED.IDNFOUTRASNF,
           INSERTED.IDAVNFNREPEN,
           INSERTED.IDSISDOS,
           INSERTED.DSPARGERFIS,
           INSERTED.IDCONSFISCEN,
           INSERTED.CDPARGERAL,
           INSERTED.IDCONSVLRMAF,
           INSERTED.IDUTDTPROCTNFE,
           INSERTED.IDUTSERTPOP,
           INSERTED.VRPECURVAA,
           INSERTED.VRPECURVAB,
           INSERTED.VRPECURVAC,
           INSERTED.IDUTCODBARRA,
           INSERTED.IDUTILDTPROC,
           INSERTED.IDUTCTRLACES,
           INSERTED.IDUTLBDCENTR,
           INSERTED.IDUTILGERLOG,
           INSERTED.IDPERALTINSFORN,
           INSERTED.IDUTENDMODFISC,
           INSERTED.IDCACHPRODFI,
           INSERTED.IDRESTRFILIOPER,
           INSERTED.IDUTCARDPADR,
           INSERTED.IDEXCLANCTB,
           INSERTED.CDGROPERPDV1,
           INSERTED.CDGROPERPROP,
           INSERTED.NRDUPLINFS,
           INSERTED.IDEMPDESTREPAUT,
           INSERTED.IDUTFILCENTOBR,
           INSERTED.IDPERLANCNFOUFI,
           INSERTED.IDREAUDPARFISC,
           INSERTED.IDUTCTRLFISENTR,
           INSERTED.IDUTCTRLFISSAID,
           INSERTED.IDUTILNFELANCNF,
           INSERTED.IDPERVISIMPSCRE,
           INSERTED.IDBLOQITNFAPUR,
           INSERTED.IDDTEMISDIFDTBC,
           INSERTED.IDGERNFIGUALXML,
           INSERTED.IDSUGTPOPER,
           INSERTED.IDPERAPROVNFXML,
           INSERTED.CDTPOOPREMESSA,
           INSERTED.CDTPOOPRETORNO,
           INSERTED.IDOBTPOPLANCSIMP,
           INSERTED.IDBAIXAFTOTLANNF
    FROM
      INSERTED
    WHERE
     CDPARGERAL NOT IN (SELECT CDPARGERAL FROM DELETED);

   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                 @V_OLD_DIAINIHORVER,
                                 @V_OLD_MESINIHORVER,
                                 @V_OLD_DIAFIMHORVER,
                                 @V_OLD_MESFIMHORVER,
                                 @V_OLD_VRPETOLEVRAF,
                                 @V_OLD_VRPETOLEQTAF,
                                 @V_OLD_NRDECITOTANF,
                                 @V_OLD_VRFAIXTOLENF,
                                 @V_OLD_IDBLOQCMPSAF,
                                 @V_OLD_IDTPLANCDESC,
                                 @V_OLD_IDGERANFDEVO,
                                 @V_OLD_IDAVNFNOCORR,
                                 @V_OLD_IDNFOUTRASNF,
                                 @V_OLD_IDAVNFNREPEN,
                                 @V_OLD_IDSISDOS,
                                 @V_OLD_DSPARGERFIS,
                                 @V_OLD_IDCONSFISCEN,
                                 @V_OLD_CDPARGERAL,
                                 @V_OLD_IDCONSVLRMAF,
                                 @V_OLD_IDUTDTPROCTNFE,
                                 @V_OLD_IDUTSERTPOP,
                                 @V_OLD_VRPECURVAA,
                                 @V_OLD_VRPECURVAB,
                                 @V_OLD_VRPECURVAC,
                                 @V_OLD_IDUTCODBARRA,
                                 @V_OLD_IDUTILDTPROC,
                                 @V_OLD_IDUTCTRLACES,
                                 @V_OLD_IDUTLBDCENTR,
                                 @V_OLD_IDUTILGERLOG,
                                 @V_OLD_IDPERALTINSFORN,
                                 @V_OLD_IDUTENDMODFISC,
                                 @V_OLD_IDCACHPRODFI,
                                 @V_OLD_IDRESTRFILIOPER,
                                 @V_OLD_IDUTCARDPADR,
                                 @V_OLD_IDEXCLANCTB,
                                 @V_OLD_CDGROPERPDV1,
                                 @V_OLD_CDGROPERPROP,
                                 @V_OLD_NRDUPLINFS,
                                 @V_OLD_IDEMPDESTREPAUT,
                                 @V_OLD_IDUTFILCENTOBR,
                                 @V_OLD_IDPERLANCNFOUFI,
                                 @V_OLD_IDREAUDPARFISC,
		                               @V_OLD_IDUTCTRLFISENTR,
                                 @V_OLD_IDUTCTRLFISSAID,
                                 @V_OLD_IDUTILNFELANCNF,
                                 @V_OLD_IDPERVISIMPSCRE,
                                 @V_OLD_IDBLOQITNFAPUR,
                                 @V_OLD_IDDTEMISDIFDTBC,
                                 @V_OLD_IDGERNFIGUALXML,
                                 @V_OLD_IDSUGTPOPER,
                                 @V_OLD_IDPERAPROVNFXML,
                                 @V_OLD_CDTPOOPREMESSA,
                                 @V_OLD_CDTPOOPRETORNO,
                                 @V_OLD_IDOBTPOPLANCSIMP,
                                 @V_OLD_IDBAIXAFTOTLANNF,

                                 @V_NEW_DIAINIHORVER,
                                 @V_NEW_MESINIHORVER,
                                 @V_NEW_DIAFIMHORVER,
                                 @V_NEW_MESFIMHORVER,
                                 @V_NEW_VRPETOLEVRAF,
                                 @V_NEW_VRPETOLEQTAF,
                                 @V_NEW_NRDECITOTANF,
                                 @V_NEW_VRFAIXTOLENF,
                                 @V_NEW_IDBLOQCMPSAF,
                                 @V_NEW_IDTPLANCDESC,
                                 @V_NEW_IDGERANFDEVO,
                                 @V_NEW_IDAVNFNOCORR,
                                 @V_NEW_IDNFOUTRASNF,
                                 @V_NEW_IDAVNFNREPEN,
                                 @V_NEW_IDSISDOS,
                                 @V_NEW_DSPARGERFIS,
                                 @V_NEW_IDCONSFISCEN,
                                 @V_NEW_CDPARGERAL,
                                 @V_NEW_IDCONSVLRMAF,
                                 @V_NEW_IDUTDTPROCTNFE,
                                 @V_NEW_IDUTSERTPOP,
                                 @V_NEW_VRPECURVAA,
                                 @V_NEW_VRPECURVAB,
                                 @V_NEW_VRPECURVAC,
                                 @V_NEW_IDUTCODBARRA,
                                 @V_NEW_IDUTILDTPROC,
                                 @V_NEW_IDUTCTRLACES,
                                 @V_NEW_IDUTLBDCENTR,
                                 @V_NEW_IDUTILGERLOG,
                                 @V_NEW_IDPERALTINSFORN,
                                 @V_NEW_IDUTENDMODFISC,
                                 @V_NEW_IDCACHPRODFI,
                                 @V_NEW_IDRESTRFILIOPER,
                                 @V_NEW_IDUTCARDPADR,
                                 @V_NEW_IDEXCLANCTB,
                                 @V_NEW_CDGROPERPDV1,
                                 @V_NEW_CDGROPERPROP,
                                 @V_NEW_NRDUPLINFS,
                                 @V_NEW_IDEMPDESTREPAUT,
                                 @V_NEW_IDUTFILCENTOBR,
                                 @V_NEW_IDPERLANCNFOUFI,
                                 @V_NEW_IDREAUDPARFISC,
			                              @V_NEW_IDUTCTRLFISENTR,
                                 @V_NEW_IDUTCTRLFISSAID,
                                 @V_NEW_IDUTILNFELANCNF,
                                 @V_NEW_IDPERVISIMPSCRE,
                                 @V_NEW_IDBLOQITNFAPUR,
                                 @V_NEW_IDDTEMISDIFDTBC,
                                 @V_NEW_IDGERNFIGUALXML,
                                 @V_NEW_IDSUGTPOPER,
                                 @V_NEW_IDPERAPROVNFXML,
                                 @V_NEW_CDTPOOPREMESSA,
                                 @V_NEW_CDTPOOPRETORNO,
                                 @V_NEW_IDOBTPOPLANCSIMP,
                                 @V_NEW_IDBAIXAFTOTLANNF;



   WHILE (@@FETCH_STATUS = 0) BEGIN
      IF @V_ID_COMANDO = 'D' BEGIN

         IF @V_OLD_DIAINIHORVER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DiaInicioHorVerao=' + ISNULL(CONVERT(VARCHAR,@V_OLD_DIAINIHORVER), '');
         END;

         IF @V_OLD_MESINIHORVER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' MesInicioHorVerao=' + ISNULL(CONVERT(VARCHAR,@V_OLD_MESINIHORVER), '');
         END;

         IF @V_OLD_DIAFIMHORVER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DiaFimHorVerao=' + ISNULL(CONVERT(VARCHAR,@V_OLD_DIAFIMHORVER), '');
         END;

         IF @V_OLD_MESFIMHORVER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' MesFimHorVerao=' + ISNULL(CONVERT(VARCHAR,@V_OLD_MESFIMHORVER), '');
         END;

         IF @V_OLD_VRPETOLEVRAF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PeVrAF=' + CONVERT(VARCHAR,@V_OLD_VRPETOLEVRAF);
         END;

         IF @V_OLD_IDCONSFISCEN IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdConF=' + @V_OLD_IDCONSFISCEN;
         END;

         IF @V_OLD_IDNFOUTRASNF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdNfOut=' + @V_OLD_IDNFOUTRASNF;
         END;

         IF @V_OLD_IDAVNFNREPEN IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdAvNf=' + @V_OLD_IDAVNFNREPEN;
         END;

         IF @V_OLD_IDCONSVLRMAF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ConsQtdMeAF=' + @V_OLD_IDCONSVLRMAF;
         END;

         IF SUBSTRING(@V_OLD_DSPARGERFIS,1,1) IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ObrFornAF=' + SUBSTRING(@V_OLD_DSPARGERFIS,1,1);
         END;

         IF SUBSTRING(@V_OLD_DSPARGERFIS,3,3) IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' GrupoFiscal=' + SUBSTRING(@V_OLD_DSPARGERFIS,3,3);
         END;

         IF @V_OLD_VRPETOLEQTAF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PeQtAF=' + CONVERT(VARCHAR,@V_OLD_VRPETOLEQTAF);
         END;

         IF @V_OLD_NRDECITOTANF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NrDecTotNF=' + CONVERT(VARCHAR,@V_OLD_NRDECITOTANF);
         END;

         IF @V_OLD_VRFAIXTOLENF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ToleTotNF=' + CONVERT(VARCHAR,@V_OLD_VRFAIXTOLENF);
         END;

         IF @V_OLD_IDBLOQCMPSAF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BloqCmpSAF=' + @V_OLD_IDBLOQCMPSAF;
         END;

         IF @V_OLD_IDTPLANCDESC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TpLanDesc=' + @V_OLD_IDTPLANCDESC;
         END;

         IF @V_OLD_IDGERANFDEVO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' GeraNFDevo=' + @V_OLD_IDGERANFDEVO;
         END;

         IF @V_OLD_IDAVNFNOCORR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' AvOcorrNF=' + @V_OLD_IDAVNFNOCORR;
         END;

         IF @V_OLD_IDSISDOS IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SistemaDOS=' + @V_OLD_IDSISDOS;
         END;

         IF @V_OLD_IDUTSERTPOP IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SrieTpOperac=' + @V_OLD_IDUTSERTPOP;
         END;

         IF @V_OLD_IDUTDTPROCTNFE IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DtProcTransNFE=' + @V_OLD_IDUTDTPROCTNFE;
         END;

         IF @V_OLD_VRPECURVAA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CurvaA=' + CONVERT(VARCHAR,@V_OLD_VRPECURVAA);
         END;

         IF @V_OLD_VRPECURVAB IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CurvaB=' + CONVERT(VARCHAR,@V_OLD_VRPECURVAB);
         END;

         IF @V_OLD_VRPECURVAC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CurvaC=' + CONVERT(VARCHAR,@V_OLD_VRPECURVAC);
         END;

         IF @V_OLD_IDUTCODBARRA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilizaCdBarra=' + @V_OLD_IDUTCODBARRA;
         END;

         IF @V_OLD_IDUTILDTPROC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DtProc=' + @V_OLD_IDUTILDTPROC;
         END;

         IF @V_OLD_IDUTCTRLACES IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilCrtlAceso=' + @V_OLD_IDUTCTRLACES;
         END;

         IF @V_OLD_IDUTLBDCENTR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilBDCentr=' + @V_OLD_IDUTLBDCENTR;
         END;

         IF @V_OLD_IDUTILGERLOG IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilGrLog=' + @V_OLD_IDUTILGERLOG;
         END;

         IF @V_OLD_IDPERALTINSFORN IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PermAltInsForne=' + @V_OLD_IDPERALTINSFORN;
         END;

         IF @V_OLD_IDUTENDMODFISC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilEndeModFisc=' + @V_OLD_IDUTENDMODFISC;
         END;

         IF @V_OLD_IDCACHPRODFI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ContCachProdFi=' + @V_OLD_IDCACHPRODFI;
         END;

         IF @V_OLD_IDRESTRFILIOPER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' RestFiliOper=' + @V_OLD_IDRESTRFILIOPER;
         END;

         IF @V_OLD_IDUTCARDPADR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilCard=' + @V_OLD_IDUTCARDPADR;
         END;

         IF @V_OLD_IDEXCLANCTB IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PermAltCardServ=' + @V_OLD_IDEXCLANCTB;
         END;

         IF @V_OLD_CDGROPERPDV1 IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PermManutComp=' + @V_OLD_CDGROPERPDV1;
         END;

         IF @V_OLD_CDGROPERPROP IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PermManutCdProd=' + @V_OLD_CDGROPERPROP;
         END;

         IF @V_OLD_NRDUPLINFS IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NrDupliNf=' + @V_OLD_NRDUPLINFS;
         END;

         IF @V_OLD_IDEMPDESTREPAUT IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ConsEmprFilDestRepAut=' + @V_OLD_IDEMPDESTREPAUT;
         END;

         IF @V_OLD_IDUTFILCENTOBR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtFiltroCentObr=' + @V_OLD_IDUTFILCENTOBR;
         END;

         IF @V_OLD_IDPERLANCNFOUFI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PermLancInfNfOutFili=' + @V_OLD_IDPERLANCNFOUFI;
         END;

         IF @V_OLD_IDREAUDPARFISC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' RealAudParFis=' + @V_OLD_IDREAUDPARFISC;
         END;

		       IF @V_OLD_IDUTCTRLFISENTR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ContFiscalEnt=' + @V_OLD_IDUTCTRLFISENTR;
         END;

         IF @V_OLD_IDUTCTRLFISSAID IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ContFiscalSai=' + @V_OLD_IDUTCTRLFISSAID;
         END;

         IF @V_OLD_IDUTILNFELANCNF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UtilizaInfoNFeLancNF=' + @V_OLD_IDUTILNFELANCNF;
         END;

         IF @V_OLD_IDPERVISIMPSCRE IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PermiteVisuImpSCre=' + @V_OLD_IDPERVISIMPSCRE;
         END;

         IF @V_OLD_IDBLOQITNFAPUR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BloqueiaAlterItemNfFatu=' + @V_OLD_IDBLOQITNFAPUR;
         END;

         IF @V_OLD_IDDTEMISDIFDTBC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdDtEmisDifDtBc=' + @V_OLD_IDDTEMISDIFDTBC;
         END;

         IF @V_OLD_IDGERNFIGUALXML IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdGerNFIgualXML=' + @V_OLD_IDGERNFIGUALXML;
         END;

         IF @V_OLD_IDSUGTPOPER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SugeTpOperac=' + @V_OLD_IDSUGTPOPER;
         END;

         IF @V_OLD_IDPERAPROVNFXML IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdAprovLancNFXML=' + @V_OLD_IDPERAPROVNFXML;
         END;

         IF @V_OLD_CDTPOOPREMESSA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + '  TpOpRemessa=' + @V_OLD_CDTPOOPREMESSA;
         END;

         IF @V_OLD_CDTPOOPRETORNO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + '  TpOpRetorno=' + @V_OLD_CDTPOOPRETORNO;
         END;

         IF @V_OLD_IDOBTPOPLANCSIMP IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ObrigTpOpLancSimp=' + @V_OLD_IDOBTPOPLANCSIMP;
         END;

         IF @V_OLD_IDBAIXAFTOTLANNF IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BaixAFTot=' + @V_OLD_IDBAIXAFTOTLANNF;
         END;

         SET @V_TIPO = '3';
         SET @V_ITPESQ = @V_OLD_CDPARGERAL;
      END
      ELSE BEGIN
         IF @V_ID_COMANDO= 'U' /*UPDATING*/ BEGIN
            IF (ISNULL(@V_OLD_DIAINIHORVER,0)      <> ISNULL(@V_NEW_DIAINIHORVER,0))  OR
               (ISNULL(@V_OLD_MESINIHORVER,0)      <> ISNULL(@V_NEW_MESINIHORVER,0))  OR
               (ISNULL(@V_OLD_DIAFIMHORVER,0)      <> ISNULL(@V_NEW_DIAFIMHORVER,0))  OR
               (ISNULL(@V_OLD_MESFIMHORVER,0)      <> ISNULL(@V_NEW_MESFIMHORVER,0))  OR
               (ISNULL(@V_OLD_VRPETOLEVRAF,0)      <> ISNULL(@V_NEW_VRPETOLEVRAF,0))  OR
               (ISNULL(@V_OLD_VRPETOLEQTAF,0)      <> ISNULL(@V_NEW_VRPETOLEQTAF,0))  OR
               (ISNULL(@V_OLD_NRDECITOTANF,0)      <>  ISNULL(@V_NEW_NRDECITOTANF,0)) OR
               (ISNULL(@V_OLD_VRFAIXTOLENF,0)      <> ISNULL(@V_NEW_VRFAIXTOLENF,0))  OR
               (ISNULL(@V_OLD_VRPECURVAA,0)        <> ISNULL(@V_NEW_VRPECURVAA,0))  OR
               (ISNULL(@V_OLD_VRPECURVAB,0)        <> ISNULL(@V_NEW_VRPECURVAB,0))  OR
               (ISNULL(@V_OLD_VRPECURVAC,0)        <> ISNULL(@V_NEW_VRPECURVAC,0))  OR
               (ISNULL(@V_OLD_IDBLOQCMPSAF,'!')    <> ISNULL(@V_NEW_IDBLOQCMPSAF,'!')) OR
               (ISNULL(@V_OLD_IDTPLANCDESC,'!')    <> ISNULL(@V_NEW_IDTPLANCDESC,'!')) OR
               (ISNULL(@V_OLD_IDGERANFDEVO,'!')    <> ISNULL(@V_NEW_IDGERANFDEVO,'!')) OR
               (ISNULL(@V_OLD_IDAVNFNOCORR,'!')    <> ISNULL(@V_NEW_IDAVNFNOCORR,'!')) OR
               (ISNULL(@V_OLD_IDNFOUTRASNF,'!')    <> ISNULL(@V_NEW_IDNFOUTRASNF,'!')) OR
               (ISNULL(@V_OLD_IDAVNFNREPEN,'!')    <>  ISNULL(@V_NEW_IDAVNFNREPEN,'!'))OR
               (ISNULL(@V_OLD_IDCONSVLRMAF,'!')    <>  ISNULL(@V_NEW_IDCONSVLRMAF,'!'))OR
               (ISNULL(@V_OLD_IDSISDOS,'!')        <> ISNULL(@V_NEW_IDSISDOS,'!'))     OR
               (ISNULL(@V_OLD_IDUTDTPROCTNFE,'!')  <> ISNULL(@V_NEW_IDUTDTPROCTNFE,'!')) OR
               (ISNULL(@V_OLD_IDUTSERTPOP,'!')     <> ISNULL(@V_NEW_IDUTSERTPOP,'!'))    OR
               (ISNULL(@V_OLD_IDUTCODBARRA,'!')    <> ISNULL(@V_NEW_IDUTCODBARRA,'!')) OR
               (ISNULL(@V_OLD_IDUTILDTPROC,'!')    <> ISNULL(@V_NEW_IDUTILDTPROC,'!')) OR
               (ISNULL(@V_OLD_IDUTCTRLACES,'!')    <> ISNULL(@V_NEW_IDUTCTRLACES,'!')) OR
               (ISNULL(@V_OLD_IDUTLBDCENTR,'!')    <> ISNULL(@V_NEW_IDUTLBDCENTR,'!')) OR
               (ISNULL(@V_OLD_IDUTILGERLOG,'!')    <> ISNULL(@V_NEW_IDUTILGERLOG,'!')) OR
               (ISNULL(@V_OLD_IDPERALTINSFORN,'!') <> ISNULL(@V_NEW_IDPERALTINSFORN,'!')) OR
               (ISNULL(@V_OLD_IDUTENDMODFISC,'!')  <> ISNULL(@V_NEW_IDUTENDMODFISC,'!'))OR
               (ISNULL(@V_OLD_IDCACHPRODFI,'!')    <> ISNULL(@V_NEW_IDCACHPRODFI,'!'))     OR
               (ISNULL(@V_OLD_IDRESTRFILIOPER,'!') <> ISNULL(@V_NEW_IDRESTRFILIOPER,'!'))  OR
               (ISNULL(@V_OLD_IDUTCARDPADR,'!')    <> ISNULL(@V_NEW_IDUTCARDPADR,'!'))     OR
               (ISNULL(@V_OLD_IDEXCLANCTB,'!')     <> ISNULL(@V_NEW_IDEXCLANCTB,'!'))     OR
               (ISNULL(@V_OLD_CDGROPERPDV1,'!')    <> ISNULL(@V_NEW_CDGROPERPDV1,'!'))     OR
               (ISNULL(@V_OLD_CDGROPERPROP,'!')    <> ISNULL(@V_NEW_CDGROPERPROP,'!'))     OR
               (ISNULL(SUBSTRING(@V_OLD_DSPARGERFIS,1,1),'!') <> ISNULL(SUBSTRING(@V_NEW_DSPARGERFIS,1,1),'!')) OR
               (ISNULL(SUBSTRING(@V_OLD_DSPARGERFIS,3,3),'!') <> ISNULL(SUBSTRING(@V_NEW_DSPARGERFIS,3,3),'!')) OR
               (ISNULL(@V_OLD_NRDUPLINFS, '!')                <> ISNULL(@V_NEW_NRDUPLINFS, '!'))                OR
               (ISNULL(@V_OLD_IDEMPDESTREPAUT, '!')           <> ISNULL(@V_NEW_IDEMPDESTREPAUT, '!'))           OR
               (ISNULL(@V_OLD_IDUTFILCENTOBR, '!')            <> ISNULL(@V_NEW_IDUTFILCENTOBR, '!'))            OR
               (ISNULL(@V_OLD_IDUTCTRLFISENTR,'!')            <> ISNULL(@V_NEW_IDUTCTRLFISENTR,'!')) OR
               (ISNULL(@V_OLD_IDUTCTRLFISSAID,'!')            <> ISNULL(@V_NEW_IDUTCTRLFISSAID,'!')) OR
			            (ISNULL(@V_OLD_IDPERLANCNFOUFI, '!')           <> ISNULL(@V_NEW_IDPERLANCNFOUFI, '!'))           OR
               (ISNULL(@V_OLD_IDREAUDPARFISC, '!')            <> ISNULL(@V_NEW_IDREAUDPARFISC, '!'))            OR
               (ISNULL(@V_OLD_IDUTILNFELANCNF, '!')           <> ISNULL(@V_NEW_IDUTILNFELANCNF, '!'))          OR
               (ISNULL(@V_OLD_IDPERVISIMPSCRE, '!')           <> ISNULL(@V_NEW_IDPERVISIMPSCRE, '!')) OR
               (ISNULL(@V_OLD_IDBLOQITNFAPUR, '!')            <> ISNULL(@V_NEW_IDBLOQITNFAPUR, '!'))  OR
               (ISNULL(@V_OLD_IDDTEMISDIFDTBC, '!')           <> ISNULL(@V_NEW_IDDTEMISDIFDTBC, '!')) OR
               (ISNULL(@V_OLD_IDGERNFIGUALXML, '!')           <> ISNULL(@V_NEW_IDGERNFIGUALXML, '!')) OR
               (ISNULL(@V_OLD_IDPERAPROVNFXML, '!')           <> ISNULL(@V_NEW_IDPERAPROVNFXML, '!')) OR
               (ISNULL(@V_OLD_CDTPOOPREMESSA, '!')            <> ISNULL(@V_NEW_CDTPOOPREMESSA, '!'))  OR
               (ISNULL(@V_OLD_CDTPOOPRETORNO, '!')            <> ISNULL(@V_NEW_CDTPOOPRETORNO, '!'))  OR
               (ISNULL(@V_OLD_IDOBTPOPLANCSIMP, '!')          <> ISNULL(@V_NEW_IDOBTPOPLANCSIMP, '!')) OR
               (ISNULL(@V_OLD_IDBAIXAFTOTLANNF, '!')          <> ISNULL(@V_NEW_IDBAIXAFTOTLANNF, '!')) OR
               (ISNULL(@V_OLD_IDSUGTPOPER, '!')               <> ISNULL(@V_NEW_IDSUGTPOPER, '!'))            BEGIN

                SET @V_ITPESQ = @V_OLD_CDPARGERAL;
                SET @V_TIPO   = '2';
            END;
         END
         ELSE BEGIN
            SET @V_TIPO   = '1';
            SET @V_ITPESQ = @V_NEW_CDPARGERAL;
         END;
         IF ISNULL(@V_OLD_DIAINIHORVER, 0) <> ISNULL(@V_NEW_DIAINIHORVER, 0) BEGIN
            SET @V_DESC = @V_DESC + ' DiaInicioHorVerao=' +  ISNULL(CONVERT(VARCHAR,@V_NEW_DIAINIHORVER), '');
         END;

         IF ISNULL(@V_OLD_MESINIHORVER, 0) <> ISNULL(@V_NEW_MESINIHORVER, 0) BEGIN
            SET @V_DESC = @V_DESC + ' MesInicioHorVerao=' +  ISNULL(CONVERT(VARCHAR,@V_NEW_MESINIHORVER), '');
         END;

         IF ISNULL(@V_OLD_DIAFIMHORVER, 0) <> ISNULL(@V_NEW_DIAFIMHORVER, 0) BEGIN
            SET @V_DESC = @V_DESC + ' DiaFimHorVerao=' +  ISNULL(CONVERT(VARCHAR,@V_NEW_DIAFIMHORVER), '');
         END;

         IF ISNULL(@V_OLD_MESFIMHORVER, 0) <> ISNULL(@V_NEW_MESFIMHORVER, 0) BEGIN
            SET @V_DESC = @V_DESC + ' MesFimHorVerao=' +  ISNULL(CONVERT(VARCHAR,@V_NEW_MESFIMHORVER), '');
         END;

         IF ISNULL(@V_OLD_IDCONSFISCEN,'!') <>  ISNULL(@V_NEW_IDCONSFISCEN,'!') BEGIN
            SET @V_DESC = @V_DESC + ' IdConF=' + @V_NEW_IDCONSFISCEN;
         END;

         IF ISNULL(@V_OLD_IDNFOUTRASNF,'!') <>  ISNULL(@V_NEW_IDNFOUTRASNF,'!') BEGIN
            SET @V_DESC = @V_DESC + ' IdNfOut=' + @V_NEW_IDNFOUTRASNF;
         END;

         IF ISNULL(@V_OLD_IDAVNFNREPEN,'!') <>  ISNULL(@V_NEW_IDAVNFNREPEN,'!') BEGIN
           SET @V_DESC = @V_DESC + ' IdAvNf=' + @V_NEW_IDAVNFNREPEN;
         END;

         IF ISNULL(SUBSTRING(@V_OLD_DSPARGERFIS,1,1),'!') <> ISNULL(SUBSTRING(@V_NEW_DSPARGERFIS,1,1),'!') BEGIN
            SET @V_DESC = @V_DESC + ' ObrFornAF=' + SUBSTRING(@V_NEW_DSPARGERFIS,1,1);
         END;

         IF ISNULL(SUBSTRING(@V_OLD_DSPARGERFIS,3,3),'!') <> ISNULL(SUBSTRING(@V_NEW_DSPARGERFIS,3,3),'!')  BEGIN
            SET @V_DESC = @V_DESC + ' GrupoFiscal=' + SUBSTRING(@V_NEW_DSPARGERFIS,3,3);
         END;

         IF ISNULL(@V_OLD_IDCONSVLRMAF, '!') <> ISNULL(@V_NEW_IDCONSVLRMAF, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ConsQtdMeAF=' + @V_NEW_IDCONSVLRMAF;
         END;

         IF ISNULL(@V_OLD_VRPETOLEVRAF, 0) <> ISNULL(@V_NEW_VRPETOLEVRAF, 0) BEGIN
            SET @V_DESC = @V_DESC + ' PeVrAF=' + CONVERT(VARCHAR,@V_NEW_VRPETOLEVRAF);
         END;

         IF ISNULL(@V_OLD_VRPETOLEQTAF,0) <> ISNULL(@V_NEW_VRPETOLEQTAF,0) BEGIN
            SET @V_DESC = @V_DESC + ' PeQtAF=' + CONVERT(VARCHAR,@V_NEW_VRPETOLEQTAF);
         END;

         IF ISNULL(@V_OLD_NRDECITOTANF, 0) <> ISNULL(@V_NEW_NRDECITOTANF, 0) BEGIN
            SET @V_DESC = @V_DESC + ' NrDecTotNF=' + CONVERT(VARCHAR,@V_NEW_NRDECITOTANF);
         END;

         IF ISNULL(@V_OLD_VRFAIXTOLENF, 0) <> ISNULL(@V_NEW_VRFAIXTOLENF, 0) BEGIN
            SET @V_DESC = @V_DESC + ' ToleTotNF=' +  CONVERT(VARCHAR,@V_NEW_VRFAIXTOLENF);
         END;

         IF ISNULL(@V_OLD_IDBLOQCMPSAF, '!') <> ISNULL(@V_NEW_IDBLOQCMPSAF, '!') BEGIN
            SET @V_DESC = @V_DESC + ' BloqCmpSAF=' + @V_NEW_IDBLOQCMPSAF;
         END;

         IF ISNULL(@V_OLD_IDTPLANCDESC, '!') <> ISNULL(@V_NEW_IDTPLANCDESC, '!') BEGIN
            SET @V_DESC = @V_DESC + ' TpLanDesc=' + @V_NEW_IDTPLANCDESC;
         END;

         IF ISNULL(@V_OLD_IDGERANFDEVO, '!') <> ISNULL(@V_NEW_IDGERANFDEVO, '!') BEGIN
            SET @V_DESC = @V_DESC + ' GeraNFDevo=' + @V_NEW_IDGERANFDEVO;
         END;

         IF ISNULL(@V_OLD_IDAVNFNOCORR, '!') <> ISNULL(@V_NEW_IDAVNFNOCORR, '!') BEGIN
            SET @V_DESC = @V_DESC + ' AvOcorrNF=' + @V_NEW_IDAVNFNOCORR;
         END;

         IF ISNULL(@V_OLD_IDSISDOS,'!') <> ISNULL(@V_NEW_IDSISDOS,'!') BEGIN
            SET @V_DESC = @V_DESC + ' SistemaDOS=' + @V_NEW_IDSISDOS;
         END;

         IF ISNULL(@V_OLD_IDUTSERTPOP, '!') <> ISNULL(@V_NEW_IDUTSERTPOP, '!') BEGIN
            SET @V_DESC = @V_DESC + ' SrieTpOperac=' + @V_NEW_IDUTSERTPOP;
         END;

         IF ISNULL(@V_OLD_IDUTDTPROCTNFE, '!') <> ISNULL(@V_NEW_IDUTDTPROCTNFE, '!') BEGIN
            SET @V_DESC = @V_DESC + ' DtProcTransNFE=' + @V_NEW_IDUTDTPROCTNFE;
         END;

         IF ISNULL(@V_OLD_VRPECURVAA, 0) <> ISNULL(@V_NEW_VRPECURVAA, 0) BEGIN
            SET @V_DESC = @V_DESC + ' CurvaA=' +  CONVERT(VARCHAR,@V_NEW_VRPECURVAA);
         END;

         IF ISNULL(@V_OLD_VRPECURVAB, 0) <> ISNULL(@V_NEW_VRPECURVAB, 0) BEGIN
            SET @V_DESC = @V_DESC + ' CurvaB=' +  CONVERT(VARCHAR,@V_NEW_VRPECURVAB);
         END;

         IF ISNULL(@V_OLD_VRPECURVAC, 0) <> ISNULL(@V_NEW_VRPECURVAC, 0) BEGIN
            SET @V_DESC = @V_DESC + ' CurvaC=' +  CONVERT(VARCHAR,@V_NEW_VRPECURVAC);
         END;

         IF ISNULL(@V_OLD_IDUTCODBARRA, '!') <> ISNULL(@V_NEW_IDUTCODBARRA, '!') BEGIN
            SET @V_DESC = @V_DESC + ' UtilizaCdBarra=' + @V_NEW_IDUTCODBARRA;
         END;

         IF ISNULL(@V_OLD_IDUTILDTPROC, '!') <> ISNULL(@V_NEW_IDUTILDTPROC, '!') BEGIN
            SET @V_DESC = @V_DESC + ' DtProc=' + @V_NEW_IDUTILDTPROC;
         END;

         IF ISNULL(@V_OLD_IDUTCTRLACES, '!') <> ISNULL(@V_NEW_IDUTCTRLACES, '!') BEGIN
            SET @V_DESC = @V_DESC + ' UtilCrtlAcesso=' + @V_NEW_IDUTCTRLACES;
         END;

         IF ISNULL(@V_OLD_IDUTLBDCENTR, '!') <> ISNULL(@V_NEW_IDUTLBDCENTR, '!') BEGIN
            SET @V_DESC = @V_DESC + ' UtilBDCentr=' + @V_NEW_IDUTLBDCENTR;
         END;

         IF ISNULL(@V_OLD_IDUTILGERLOG, '!') <> ISNULL(@V_NEW_IDUTILGERLOG, '!') BEGIN
            SET @V_DESC = @V_DESC + ' UtilGrLog=' + @V_NEW_IDUTILGERLOG;
         END;

         IF ISNULL(@V_OLD_IDPERALTINSFORN, '!') <> ISNULL(@V_NEW_IDPERALTINSFORN, '!') BEGIN
            SET @V_DESC = @V_DESC + ' PermAltInsForne=' + @V_NEW_IDPERALTINSFORN;
         END;

         IF ISNULL(@V_OLD_IDUTENDMODFISC, '!') <> ISNULL(@V_NEW_IDUTENDMODFISC, '!') BEGIN
            SET @V_DESC = @V_DESC + ' UtilEndeModFisc=' + @V_NEW_IDUTENDMODFISC;
         END;

         IF ISNULL(@V_OLD_IDCACHPRODFI, '!') <> ISNULL(@V_NEW_IDCACHPRODFI, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ContCachProdFi=' + @V_NEW_IDCACHPRODFI;
         END;

         IF ISNULL(@V_OLD_IDRESTRFILIOPER, '!') <> ISNULL(@V_NEW_IDRESTRFILIOPER, '!') BEGIN
            SET @V_DESC = @V_DESC + ' RestFiliOper=' + @V_NEW_IDRESTRFILIOPER;
         END;

         IF ISNULL(@V_OLD_IDUTCARDPADR, '!') <> ISNULL(@V_NEW_IDUTCARDPADR, '!') BEGIN
            SET @V_DESC = @V_DESC + ' UtilCard=' + @V_NEW_IDUTCARDPADR;
         END;

         IF ISNULL(@V_OLD_IDEXCLANCTB, '!') <> ISNULL(@V_NEW_IDEXCLANCTB, '!') BEGIN
            SET @V_DESC = @V_DESC + ' PermAltCardServ=' + @V_NEW_IDEXCLANCTB;
         END;

         IF ISNULL(@V_OLD_CDGROPERPDV1, '!') <> ISNULL(@V_NEW_CDGROPERPDV1, '!') BEGIN
            SET @V_DESC = @V_DESC + ' PermManutComp=' + @V_NEW_CDGROPERPDV1;
         END;

         IF ISNULL(@V_OLD_CDGROPERPROP, '!') <> ISNULL(@V_NEW_CDGROPERPROP, '!') BEGIN
            SET @V_DESC = @V_DESC + ' PermManutCdProd=' + @V_NEW_CDGROPERPROP;
         END;

         IF ISNULL(@V_OLD_NRDUPLINFS, '!') <> ISNULL(@V_NEW_NRDUPLINFS, '!') BEGIN
            IF @V_NEW_NRDUPLINFS IS NULL BEGIN
               SET @V_NEW_NRDUPLINFS = '';
            END;
            SET @V_DESC = @V_DESC + ' NrDupliNf=' + @V_NEW_NRDUPLINFS;
         END;

         IF ISNULL(@V_OLD_IDEMPDESTREPAUT, '!') <> ISNULL(@V_NEW_IDEMPDESTREPAUT, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ConsEmprFilDestRepAut=' + @V_NEW_IDEMPDESTREPAUT;
         END;

         IF ISNULL(@V_OLD_IDUTFILCENTOBR, '!') <> ISNULL(@V_NEW_IDUTFILCENTOBR, '!') BEGIN
            SET @V_DESC = @V_DESC + ' UtFiltroCentObr=' + @V_NEW_IDUTFILCENTOBR;
         END;

         IF ISNULL(@V_OLD_IDPERLANCNFOUFI, '!') <> ISNULL(@V_NEW_IDPERLANCNFOUFI, '!') BEGIN
            SET @V_DESC = @V_DESC + ' PermLancInfNfOutFili=' + @V_NEW_IDPERLANCNFOUFI;
         END;

         IF ISNULL(@V_OLD_IDREAUDPARFISC, '!') <> ISNULL(@V_NEW_IDREAUDPARFISC, '!') BEGIN
            SET @V_DESC = @V_DESC + ' RealAudParFis=' + @V_NEW_IDREAUDPARFISC;
         END;

         IF ISNULL(@V_OLD_IDUTCTRLFISENTR,'!') <> ISNULL(@V_NEW_IDUTCTRLFISENTR,'!') BEGIN
            SET @V_DESC = @V_DESC + ' ContFiscalEnt=' + @V_NEW_IDUTCTRLFISENTR;
         END;

         IF ISNULL(@V_OLD_IDUTCTRLFISSAID,'!') <> ISNULL(@V_NEW_IDUTCTRLFISSAID,'!') BEGIN
            SET @V_DESC = @V_DESC + ' ContFiscalSai=' + @V_NEW_IDUTCTRLFISSAID;
         END;

         IF ISNULL(@V_OLD_IDUTILNFELANCNF,'!') <> ISNULL(@V_NEW_IDUTILNFELANCNF,'!') BEGIN
            SET @V_DESC = @V_DESC + ' UtilizaInfoNFeLancNF=' + @V_NEW_IDUTILNFELANCNF;
         END;

         IF ISNULL(@V_OLD_IDPERVISIMPSCRE,'!') <> ISNULL(@V_NEW_IDPERVISIMPSCRE,'!') BEGIN
            SET @V_DESC = @V_DESC + ' PermiteVisuImpSCre=' + @V_NEW_IDPERVISIMPSCRE;
         END;

         IF ISNULL(@V_OLD_IDBLOQITNFAPUR,'!') <> ISNULL(@V_NEW_IDBLOQITNFAPUR,'!') BEGIN
            SET @V_DESC = @V_DESC + ' BloqueiaAlterItemNfFatu=' + @V_NEW_IDBLOQITNFAPUR;
         END;

         IF ISNULL(@V_OLD_IDDTEMISDIFDTBC,'!') <> ISNULL(@V_NEW_IDDTEMISDIFDTBC,'!') BEGIN
            SET @V_DESC = @V_DESC + ' IdDtEmisDifDtBc=' + @V_NEW_IDDTEMISDIFDTBC;
         END;

         IF ISNULL(@V_OLD_IDGERNFIGUALXML,'!') <> ISNULL(@V_NEW_IDGERNFIGUALXML,'!') BEGIN
            SET @V_DESC = @V_DESC + ' IdGerNFIgualXML=' + @V_NEW_IDGERNFIGUALXML;
         END;

         IF ISNULL(@V_OLD_IDSUGTPOPER,'!') <> ISNULL(@V_NEW_IDSUGTPOPER,'!') BEGIN
            SET @V_DESC = @V_DESC + ' SugeTpOperac=' + @V_NEW_IDSUGTPOPER;
         END;

         IF ISNULL(@V_OLD_IDPERAPROVNFXML,'!') <> ISNULL(@V_NEW_IDPERAPROVNFXML,'!') BEGIN
            SET @V_DESC = @V_DESC + ' IdAprovLancNFXML=' + @V_NEW_IDPERAPROVNFXML;
         END;

         IF ISNULL(@V_OLD_CDTPOOPREMESSA,'!') <> ISNULL(@V_NEW_CDTPOOPREMESSA,'!') BEGIN
            SET @V_DESC = @V_DESC + ' TpOpRemessa=' + @V_NEW_CDTPOOPREMESSA;
         END;

         IF ISNULL(@V_OLD_CDTPOOPRETORNO,'!') <> ISNULL(@V_NEW_CDTPOOPRETORNO,'!') BEGIN
            SET @V_DESC = @V_DESC + ' TpOpRetorno=' + @V_NEW_CDTPOOPRETORNO;
         END;

         IF ISNULL(@V_OLD_IDOBTPOPLANCSIMP,'!') <> ISNULL(@V_NEW_IDOBTPOPLANCSIMP,'!') BEGIN
            SET @V_DESC = @V_DESC + ' ObrigTpOpLancSimp=' + @V_NEW_IDOBTPOPLANCSIMP;
         END;

         IF ISNULL(@V_OLD_IDBAIXAFTOTLANNF,'!') <> ISNULL(@V_NEW_IDBAIXAFTOTLANNF,'!') BEGIN
            SET @V_DESC = @V_DESC + ' BaixAFTot=' + @V_NEW_IDBAIXAFTOTLANNF;
         END;
      END;

      IF @V_TIPO <> '0' BEGIN
         IF NOT @V_DESC IS NULL AND @V_DESC <> '' BEGIN
            IF NOT @V_USUARIO IS NULL BEGIN
               SET @V_DTOPER = GETDATE();
               INSERT INTO LOGOPERA
                  (NMTABELA,   DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                   DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
               VALUES
                  ('PARAMGERAL',  @V_DTOPER, @V_USUARIO,
                   @V_TIPO, @V_ITPESQ, SUBSTRING(@V_DESC, 0, 400), @V_DSREMOTEADDR, @V_DSREMOTEHOST, @V_DSSERVERRDM,
                   @V_DSSERVMETHOD, @V_DSREMOTEOPER);
            END;
         END;
      END;

   FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                 @V_OLD_DIAINIHORVER,
                                 @V_OLD_MESINIHORVER,
                                 @V_OLD_DIAFIMHORVER,
                                 @V_OLD_MESFIMHORVER,
                                 @V_OLD_VRPETOLEVRAF,
                                 @V_OLD_VRPETOLEQTAF,
                                 @V_OLD_NRDECITOTANF,
                                 @V_OLD_VRFAIXTOLENF,
                                 @V_OLD_IDBLOQCMPSAF,
                                 @V_OLD_IDTPLANCDESC,
                                 @V_OLD_IDGERANFDEVO,
                                 @V_OLD_IDAVNFNOCORR,
                                 @V_OLD_IDNFOUTRASNF,
                                 @V_OLD_IDAVNFNREPEN,
                                 @V_OLD_IDSISDOS,
                                 @V_OLD_DSPARGERFIS,
                                 @V_OLD_IDCONSFISCEN,
                                 @V_OLD_CDPARGERAL,
                                 @V_OLD_IDCONSVLRMAF,
                                 @V_OLD_IDUTDTPROCTNFE,
                                 @V_OLD_IDUTSERTPOP,
                                 @V_OLD_VRPECURVAA,
                                 @V_OLD_VRPECURVAB,
                                 @V_OLD_VRPECURVAC,
                                 @V_OLD_IDUTCODBARRA,
                                 @V_OLD_IDUTILDTPROC,
                                 @V_OLD_IDUTCTRLACES,
                                 @V_OLD_IDUTLBDCENTR,
                                 @V_OLD_IDUTILGERLOG,
                                 @V_OLD_IDPERALTINSFORN,
                                 @V_OLD_IDUTENDMODFISC,
                                 @V_OLD_IDCACHPRODFI,
                                 @V_OLD_IDRESTRFILIOPER,
                                 @V_OLD_IDUTCARDPADR,
                                 @V_OLD_IDEXCLANCTB,
                                 @V_OLD_CDGROPERPDV1,
                                 @V_OLD_CDGROPERPROP,
                                 @V_OLD_NRDUPLINFS,
                                 @V_OLD_IDEMPDESTREPAUT,
                                 @V_OLD_IDUTFILCENTOBR,
                                 @V_OLD_IDPERLANCNFOUFI,
                                 @V_OLD_IDREAUDPARFISC,
			                              @V_OLD_IDUTCTRLFISENTR,
                                 @V_OLD_IDUTCTRLFISSAID,
                                 @V_OLD_IDUTILNFELANCNF,
                                 @V_OLD_IDPERVISIMPSCRE,
                                 @V_OLD_IDBLOQITNFAPUR,
                                 @V_OLD_IDDTEMISDIFDTBC,
                                 @V_OLD_IDGERNFIGUALXML,
                                 @V_OLD_IDSUGTPOPER,
                                 @V_OLD_IDPERAPROVNFXML,
                                 @V_OLD_CDTPOOPREMESSA,
                                 @V_OLD_CDTPOOPRETORNO,
                                 @V_OLD_IDOBTPOPLANCSIMP,
                                 @V_OLD_IDBAIXAFTOTLANNF,

                                 @V_NEW_DIAINIHORVER,
                                 @V_NEW_MESINIHORVER,
                                 @V_NEW_DIAFIMHORVER,
                                 @V_NEW_MESFIMHORVER,
                                 @V_NEW_VRPETOLEVRAF,
                                 @V_NEW_VRPETOLEQTAF,
                                 @V_NEW_NRDECITOTANF,
                                 @V_NEW_VRFAIXTOLENF,
                                 @V_NEW_IDBLOQCMPSAF,
                                 @V_NEW_IDTPLANCDESC,
                                 @V_NEW_IDGERANFDEVO,
                                 @V_NEW_IDAVNFNOCORR,
                                 @V_NEW_IDNFOUTRASNF,
                                 @V_NEW_IDAVNFNREPEN,
                                 @V_NEW_IDSISDOS,
                                 @V_NEW_DSPARGERFIS,
                                 @V_NEW_IDCONSFISCEN,
                                 @V_NEW_CDPARGERAL,
                                 @V_NEW_IDCONSVLRMAF,
                                 @V_NEW_IDUTDTPROCTNFE,
                                 @V_NEW_IDUTSERTPOP,
                                 @V_NEW_VRPECURVAA,
                                 @V_NEW_VRPECURVAB,
                                 @V_NEW_VRPECURVAC,
                                 @V_NEW_IDUTCODBARRA,
                                 @V_NEW_IDUTILDTPROC,
                                 @V_NEW_IDUTCTRLACES,
                                 @V_NEW_IDUTLBDCENTR,
                                 @V_NEW_IDUTILGERLOG,
                                 @V_NEW_IDPERALTINSFORN,
                                 @V_NEW_IDUTENDMODFISC,
                                 @V_NEW_IDCACHPRODFI,
                                 @V_NEW_IDRESTRFILIOPER,
                                 @V_NEW_IDUTCARDPADR,
                                 @V_NEW_IDEXCLANCTB,
                                 @V_NEW_CDGROPERPDV1,
                                 @V_NEW_CDGROPERPROP,
                                 @V_NEW_NRDUPLINFS,
                                 @V_NEW_IDEMPDESTREPAUT,
                                 @V_NEW_IDUTFILCENTOBR,
                                 @V_NEW_IDPERLANCNFOUFI,
                                 @V_NEW_IDREAUDPARFISC,
			                              @V_NEW_IDUTCTRLFISENTR,
                                 @V_NEW_IDUTCTRLFISSAID,
                                 @V_NEW_IDUTILNFELANCNF,
                                 @V_NEW_IDPERVISIMPSCRE,
                                 @V_NEW_IDBLOQITNFAPUR,
                                 @V_NEW_IDDTEMISDIFDTBC,
                                 @V_NEW_IDGERNFIGUALXML,
                                 @V_NEW_IDSUGTPOPER,
                                 @V_NEW_IDPERAPROVNFXML,
                                 @V_NEW_CDTPOOPREMESSA,
                                 @V_NEW_CDTPOOPRETORNO,
                                 @V_NEW_IDOBTPOPLANCSIMP,
                                 @V_NEW_IDBAIXAFTOTLANNF;

   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_EST_PARAMGERAL','6.19.xxx';
GO
